# $Revision: 1.138.2.3 $, $Date: 2007/02/20 12:01:29 $
#
# Conditional build:
%bcond_without	samba	# without smbclient support
%bcond_with	xfs	# with support for xfsdump
#
Summary:	A network-capable tape backup solution
Summary(pl):	Sieciowo zorientowany system tworzenia kopii zapasowych
Name:		amanda
Version:	2.4.5
Release:	8
License:	BSD
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/amanda/%{name}-%{version}.tar.gz
# Source0-md5:	1960b7875424e412d042bc92a1548d7f
Source1:	%{name}-srv.crontab
Source2:	%{name}.inetd
Source3:	%{name}idx.inetd
Source4:	amidxtape.inetd
Source5:	%{name}.conf
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-ac25x.patch
Patch2:		%{name}-chg-zd-mtx-sh.patch
Patch3:		%{name}-tar.patch
Patch4:		%{name}-ac260.patch
URL:		http://www.amanda.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	dump
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_samba:BuildRequires:	samba-client}
%{?with_xfs:BuildRequires:	xfsdump}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib
%define		_libexecdir	%{_libdir}/amanda

%description
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a
single master backup server to back up multiple hosts to a single
large capacity tape drive. AMANDA uses native dump and/or GNU tar
facilities and can back up a large number of workstations running
multiple versions of Unix. Newer versions of AMANDA (including this
version) can use SAMBA to back up Microsoft(TM) Windows95/NT hosts.
The amanda package contains the core AMANDA programs and will need to
be installed on both AMANDA clients and AMANDA servers. Note that you
will have to install the amanda-client and amanda-server packages as
well.

%description -l pl
AMANDA jest sieciowo zorientowanym systemem tworzenia kopii
zapasowych. Umoliwia administratorowi sieci tworzenie kopii z kilku
hostw na jednej maszynie wyposaonej w pojemny dysk lub streamer.
Nowsze wersje programu umoliwiaj zabezpieczanie zasobw Microsoft
Windows 95/98/NT/2000 przy uyciu protokou Samba. Ten pakiet zawiera
podstawowe pliki programu i powinien by zainstalowany zarwno na
serwerze jak i na kliencie. Pamitaj take o instalacji pakietw
amanda-client i amanda-server!

%package libs
Summary:	Amanda shared libraries
Summary(pl):	Biblioteki wspdzielone pakietu amanda
Group:		Networking/Utilities
Requires(postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(amanda)
Provides:	user(amanda)

%description libs
Amanda shared libraries.

%description libs -l pl
Biblioteki wspdzielone pakietu amanda.

%package client
Summary:	The client side of Amanda
Summary(pl):	Klient Amandy
Group:		Networking/Utilities
Requires(post,postun):	/sbin/ldconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-inetd
Conflicts:	tar < 1.13

%description client
The Amanda-client package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up). You will also need to install the amanda package to each
AMANDA client. It requires at least one of dump and GNU tar installed.

%description client -l pl
Ten pakiet powinien by zainstalowany ma maszynach, z ktrych
zawartoci bd tworzone kopie zapasowe. Wymaga zainstalowanego co
najmniej jednego z pakietw dump i GNU tar.

%package server
Summary:	The server side of Amanda
Summary(pl):	Serwer Amandy
Group:		Networking/Utilities
Requires(post,postun):	/sbin/ldconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/etc/cron.d
Requires:	crondaemon
Requires:	gnuplot
Requires:	mt-st
Requires:	mtx
Requires:	rc-inetd
Obsoletes:	amanda

%description server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device (such as a tape drive) where
backups will be written. You will also need to install the amanda
package to the AMANDA server. And, if the server is also to be backed
up, the server also needs to have the amanda-client package installed.

%description server -l pl
Ten pakiet powinien by zainstalowany na maszynach, na ktrych bd
magazynowane kopie zapasowe (lub do ktrych podpite s urzdzenia
typu streamer).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# kill libtool.m4 copy
head -n 1039 acinclude.m4 > acinc.tmp
mv -f acinc.tmp acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	GNUPLOT=/usr/bin/gnuplot \
	MAILER=/bin/mail \
	PRINT=/usr/bin/lpr \
	DUMP=/sbin/dump \
	RESTORE=/sbin/restore \
	XFSDUMP=/sbin/xfsdump \
	XFSRESTORE=/sbin/xfsrestore \
	--disable-static \
	--enable-shared \
	--with-index-server=localhost \
	--with-user=amanda \
	--with-group=amanda \
	--with-tape-device=/dev/null \
	--with-ftape-rawdevice=/dev/null \
	--with-changer-device=/dev/null \
	--with-fqdn \
	%{?with_samba:--with-smbclient=%{_bindir}/smbclient} \
	--with-bsd-security \
	--with-buffered-dump \
	--with-amandahosts \
	--with-debugging=%{_localstatedir}/amanda/debug \
	--with-gnutar-listdir=%{_localstatedir}/amanda/gnutar-lists \
	--with-tmpdir=/var/tmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{amanda,cron.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT%{_localstatedir}/amanda/gnutar-lists \
	$RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SETUID_GROUP=`id -g`

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/amanda-srv
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE2} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amanda
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE3} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amandaidx
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE4} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amidxtape

install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/amanda
install example/*.ps $RPM_BUILD_ROOT%{_localstatedir}/amanda
touch $RPM_BUILD_ROOT%{_localstatedir}/amanda/.amandahosts

> $RPM_BUILD_ROOT%{_sysconfdir}/amandates

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- amanda-libs < 2.4.2p2-3
/usr/sbin/chsh -s /bin/sh amanda

%triggerpostun -- amanda-libs < 2.4.2p2-12
/usr/sbin/usermod -G disk amanda

%pre libs
%groupadd -P %{name}-libs -g 80 amanda
%useradd -P %{name}-libs -u 80 -G disk -d /var/lib/amanda -s /bin/sh -c "Amanda Backup user" -g amanda amanda

%post	libs -p /sbin/ldconfig

%postun libs
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove amanda
	%groupremove amanda
fi

%post client
/sbin/ldconfig
%service -q rc-inetd reload

%postun client
/sbin/ldconfig
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post server
/sbin/ldconfig
%service -q rc-inetd reload
if [ "$1" = "1" ]; then
	echo "Don't forget to edit /etc/cron.d/amanda-srv." 1>&2
fi

%postun server
/sbin/ldconfig
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libamanda*.so
%attr(755,root,root) %{_libdir}/libamtape*.so
%dir %{_libexecdir}
%attr(770,root,amanda) %dir %{_localstatedir}/amanda
%attr(640,root,amanda) %config(noreplace) %verify(not md5 mtime size) %{_localstatedir}/amanda/.amandahosts

%files server
%defattr(644,root,root,755)
%doc docs/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amidxtape
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amandaidx

%attr(750,root,amanda) %dir %{_sysconfdir}/amanda
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,amanda) %{_sysconfdir}/amanda/*

%attr(664,root,amanda) %{_localstatedir}/amanda/*.ps

%config(noreplace) %attr(640,root,root) /etc/cron.d/amanda-srv

%attr(755,root,root) %{_libdir}/libamserver*.so
%attr(755,root,root) %{_libexecdir}/amindexd
%attr(755,root,root) %{_libexecdir}/amtrmidx
%attr(755,root,root) %{_libexecdir}/driver
%attr(4754,root,amanda) %{_libexecdir}/dumper
%attr(4754,root,amanda) %{_libexecdir}/planner
%attr(755,root,root) %{_libexecdir}/amcat.awk
%attr(755,root,root) %{_libexecdir}/amcleanupdisk
%attr(755,root,root) %{_libexecdir}/amidxtaped
%attr(755,root,root) %{_libexecdir}/amlogroll
%attr(755,root,root) %{_libexecdir}/amplot.awk
%attr(755,root,root) %{_libexecdir}/amplot.g
%attr(755,root,root) %{_libexecdir}/amplot.gp
%attr(755,root,root) %{_libexecdir}/amtrmlog
%attr(755,root,root) %{_libexecdir}/chg-chio
%attr(755,root,root) %{_libexecdir}/chg-chs
%attr(755,root,root) %{_libexecdir}/chg-disk
%attr(755,root,root) %{_libexecdir}/chg-iomega
%attr(755,root,root) %{_libexecdir}/chg-juke
%attr(755,root,root) %{_libexecdir}/chg-manual
%attr(755,root,root) %{_libexecdir}/chg-mcutil
%attr(755,root,root) %{_libexecdir}/chg-mtx
%attr(755,root,root) %{_libexecdir}/chg-multi
%attr(755,root,root) %{_libexecdir}/chg-null
%attr(755,root,root) %{_libexecdir}/chg-rait
%attr(755,root,root) %{_libexecdir}/chg-rth
%attr(755,root,root) %{_libexecdir}/chg-scsi
%attr(755,root,root) %{_libexecdir}/chg-zd-mtx
%attr(755,root,root) %{_libexecdir}/taper
%attr(755,root,root) %{_sbindir}/amadmin
%attr(4754,root,amanda) %{_sbindir}/amcheck
%attr(755,root,root) %{_sbindir}/amcheckdb
%attr(755,root,root) %{_sbindir}/amcleanup
%attr(755,root,root) %{_sbindir}/amdump
%attr(755,root,root) %{_sbindir}/amflush
%attr(755,root,root) %{_sbindir}/amgetconf
%attr(755,root,root) %{_sbindir}/amlabel
%attr(755,root,root) %{_sbindir}/amoverview
%attr(755,root,root) %{_sbindir}/amplot
%attr(755,root,root) %{_sbindir}/amreport
%attr(755,root,root) %{_sbindir}/amrmtape
%attr(755,root,root) %{_sbindir}/amstatus
%attr(755,root,root) %{_sbindir}/amtape
%attr(755,root,root) %{_sbindir}/amtapetype
%attr(755,root,root) %{_sbindir}/amtoc
%attr(755,root,root) %{_sbindir}/amverify
%attr(755,root,root) %{_sbindir}/amverifyrun
%{_mandir}/man8/amadmin.8*
%{_mandir}/man8/amanda.8*
%{_mandir}/man8/amcheck.8*
%{_mandir}/man8/amcheckdb.8*
%{_mandir}/man8/amcleanup.8*
%{_mandir}/man8/amdump.8*
%{_mandir}/man8/amflush.8*
%{_mandir}/man8/amgetconf.8*
%{_mandir}/man8/amlabel.8*
%{_mandir}/man8/amoverview.8*
%{_mandir}/man8/amplot.8*
%{_mandir}/man8/amreport.8*
%{_mandir}/man8/amrmtape.8*
%{_mandir}/man8/amstatus.8*
%{_mandir}/man8/amtape.8*
%{_mandir}/man8/amtapetype.8*
%{_mandir}/man8/amtoc.8*
%{_mandir}/man8/amverify.8*
%{_mandir}/man8/amverifyrun.8*

%files client
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amanda
%attr(664,root,amanda) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/amandates
%attr(755,root,root) %{_libdir}/libamclient*.so
%attr(755,root,root) %{_libexecdir}/versionsuffix
%attr(755,root,root) %{_libexecdir}/amandad
%attr(4754,root,amanda) %{_libexecdir}/amqde
%attr(4754,root,amanda) %{_libexecdir}/calcsize
%attr(4754,root,amanda) %{_libexecdir}/killpgrp
%attr(755,root,root) %{_libexecdir}/patch-system
%attr(4754,root,amanda) %{_libexecdir}/rundump
%attr(4754,root,amanda) %{_libexecdir}/runtar
%attr(4754,root,amanda) %{_libexecdir}/selfcheck
%attr(755,root,root) %{_libexecdir}/sendbackup
%attr(755,root,root) %{_libexecdir}/sendsize
%attr(755,root,root) %{_sbindir}/amdd
%attr(755,root,root) %{_sbindir}/ammt
%attr(755,root,root) %{_sbindir}/amrecover
%attr(755,root,root) %{_sbindir}/amrestore
%attr(770,root,amanda) %dir %{_localstatedir}/amanda/gnutar-lists
%{_mandir}/man8/amdd.8*
%{_mandir}/man8/ammt.8*
%{_mandir}/man8/amrecover.8*
%{_mandir}/man8/amrestore.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amanda.spec,v $
Revision 1.138.2.3  2007/02/20 12:01:29  qboosh
- added ac260 patch, release 8

Revision 1.138.2.2  2007/02/19 14:56:45  baggins
- rel 7
- added real samba support

Revision 1.138.2.1  2006/09/09 01:14:30  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.138  2006/04/14 11:39:18  glen
- rel 5

Revision 1.137  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.136  2006/01/24 09:19:45  qboosh
- pass more command paths (mail,lpr,dump,restore,xfsdump,xfsrestore)
- release 4

Revision 1.135  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.134  2005/09/27 15:09:38  baggins
- release 3

Revision 1.133  2005/09/27 15:04:29  baggins
- fix sed command

Revision 1.132  2005/09/27 14:27:07  baggins
- fix x8664 libdir

Revision 1.131  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.130  2005/08/04 09:35:26  kosmo
- added .amandahosts file to amanda-libs package
- fixed files permissions
- release 1

Revision 1.129  2005/07/25 08:41:09  zboczuch
- typo

Revision 1.128  2005/05/18 10:43:58  qboosh
- pass gnuplot path not to BR it

Revision 1.127  2005/05/02 18:23:50  glen
- adapterized

Revision 1.126  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.125  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.124  2005/04/21 10:31:36  zawadaa
- update to 2.4.5

Revision 1.123  2005/04/14 15:14:57  qboosh
- sane perms for libexecdir

Revision 1.122  2005/04/14 09:08:38  qboosh
- really sort

Revision 1.121  2005/04/14 09:03:21  qboosh
- suid for amqde

Revision 1.120  2005/04/14 08:22:39  qboosh
- updated to 2.4.4p4, no_private_libtool.m4 patch replaced by head

Revision 1.119  2005/04/02 13:45:58  darekr
- %verify() for config files

Revision 1.118  2005/01/21 10:02:39  glen
- services used not registered in /etc/services

Revision 1.117  2004/12/07 01:00:39  glen
- amanda-server obsoletes amanda

Revision 1.116  2004/11/26 14:30:21  paladine
- require ldconfig in proper places

Revision 1.115  2004/11/26 14:16:26  paladine
- postun dep is autogenerated

Revision 1.114  2004/11/26 13:59:37  paladine
- require ldconfig also in post
- cosmetics

Revision 1.113  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.112  2004/10/16 00:18:00  ankry
- %groupremove/%userremove support, some standarization

Revision 1.111  2004/08/12 18:29:03  qboosh
- typo

Revision 1.110  2004/08/12 10:42:23  qboosh
- no annoying message on upgrade, use new bcond

Revision 1.109  2004/05/10 10:58:11  baggins
- release 3
- added tar patch (ignore harmless warning)

Revision 1.108  2004/04/23 17:56:14  baggins
- release 2
- fixed perms (without'em amindexd doesn't work)

Revision 1.107  2004/01/27 00:41:59  orzech
- up to 2.4.4p2

Revision 1.106  2003/11/23 14:19:01  qboosh
- removed obsolete bug18322 patch (fixes build on alpha); release 3

Revision 1.105  2003/11/23 04:45:32  speedy
- new bcond
- release 2 for AC

Revision 1.104  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.103  2003/08/06 16:08:22  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.102  2003/07/27 11:59:53  adamg
- updated to 2.4.4p1

Revision 1.101  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.100  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.99  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.98  2003/05/20 11:17:09  qboosh
- fixed broken %postun libs, removed bogus deps from base

Revision 1.97  2003/05/15 22:30:25  kloczek
- create user/group amanda is back.

Revision 1.96  2003/05/15 22:23:54  kloczek
- updated to 2.4.4: minor enhanctments and bug fixes,
- removed outdated ac253 and am16 patches (integrated in this version),
- removed tapetype.1 man page from Source (now it it in vanilla amanda under
  amtapetype.8),
- updated %files.

Revision 1.95  2003/05/10 09:07:08  pascalek
- Req user-amanda

Revision 1.94  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.93  2003/01/09 22:48:34  orzech
- started update
- broken ac :(

Revision 1.92  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.91  2002/09/03 08:53:47  qboosh
- one more conflict resolved (selfcheck is used on client side)
- release 18

Revision 1.90  2002/08/27 09:32:03  qboosh
- fixes for ac 2.53/am 1.6, added 4 missing man pages

Revision 1.89  2002/08/17 22:28:27  qboosh
- better messages in pre/postun, more specific Requires
- gnutar-lists dir only in -client
- release 17

Revision 1.88  2002/08/13 12:48:19  kloczek
- release 16: use new %doc.

Revision 1.87  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.86  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.85  2002/04/25 15:43:50  arturs
- fixed a small typo

Revision 1.84  2002/04/19 22:57:54  ankry
- added trivial tapetype.1 man page from Debian
- release 15, STBR

Revision 1.83  2002/04/12 21:52:18  kloczek
- typo in bcond.

Revision 1.82  2002/04/12 20:33:37  kloczek
- reverse logick xfs support (by default build without xfs support).

Revision 1.81  2002/04/11 15:12:27  baggins
- added without_xfs bcond

Revision 1.80  2002/04/06 02:06:50  baggins
- made that tar requires into conflicts (some may not use tar at all...)

Revision 1.79  2002/04/06 02:03:38  baggins
- release 14
- client requires tar >= 1.13 (former are b0rken)

Revision 1.78  2002/04/02 14:14:35  baggins
- bah, senbackup patch is not needed for this version

Revision 1.77  2002/04/02 13:38:28  baggins
- release 13
- added xfsdump and samba-client to buildrequires (yes, it HAS to be there)
- added patch that fixes building with xfsdump enabled
- added missing gnutar-lists directory

Revision 1.76  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.75  2002/03/21 16:43:27  baggins
- typo in trigger

Revision 1.74  2002/03/21 16:00:31  baggins
- release 12
- done

Revision 1.73  2002/03/21 15:58:48  baggins
- config(noreplace) /etc/cron.d/amanda-srv
- /etc/amanda must be writable for user amanda, so chown it

Revision 1.72  2002/03/21 15:29:34  baggins
- added %{_localstatedir}/amanda/gnutar-lists to client

Revision 1.71  2002/03/21 15:17:07  baggins
- added comment about cron jobs in %post server

Revision 1.70  2002/03/21 15:08:14  baggins
- NFY
- backed my %attr() changes
- userdel must go first in postun
- add amanda user to group disk (also added trigger)

Revision 1.69  2002/03/20 23:19:28  kloczek
- release 11.

Revision 1.68  2002/03/19 19:09:21  baggins
- added chg-zd-mtx-sh patch (propely escape variables in shell script)

Revision 1.67  2002/03/19 19:05:59  baggins
- server requires mt-st and mtx

Revision 1.66  2002/03/18 16:37:28  baggins
- 750 amanda.disk for /var/lib/amanda

Revision 1.65  2002/03/18 16:33:14  baggins
- %attr(750,amanda,disk) for /usr/lib/amanda

Revision 1.64  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.63  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.62  2002/02/15 09:27:54  qboosh
- release 10: amanda-srv.crontab: run amcheck/amdump as amanda user

Revision 1.61  2002/02/01 16:44:11  baggins
- release 9
- config, KURWA, NOREPLACE on /etc files!

Revision 1.60  2002/01/31 21:31:03  ankry
- added Group(es/pt_BR)

Revision 1.59  2002/01/18 02:12:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.58  2002/01/07 09:01:50  qboosh
- fixed perms to /var/lib/amanda (770 not 660), release 8, STBR

Revision 1.57  2002/01/03 14:58:53  qboosh
- check if user/group amanda exists; release 7, STBR

Revision 1.56  2001/09/27 08:18:42  qboosh
- moved /var/lib/amanda dir to -libs, changed owner to root
  (%_localstatedir macro set to /var/lib)
- moved /var/amanda/gnutar-lists to /var/lib/amanda/gnutar-lists
- added /etc/amandates file (dumpdates for gnutar) to -client
- changed GROUP in .inetd to amanda
  (if you need disk group - add amanda user to disk group and add INITGROUPS=y
  to .inetd - at least rlinetd supports this)
- removed tar,dump,cpio from -server Requires list; added note to -client
  description (it's -client that require dump or GNU tar; cpio is not used)
- release 6, STBR

Revision 1.55  2001/09/20 17:49:44  qboosh
- -server too

Revision 1.54  2001/09/20 12:17:11  qboosh
- -client Prereq: rc-inetd

Revision 1.53  2001/09/20 03:52:48  kloczek
- added --with-tmpdir=/var/tmp to configure parameters.

Revision 1.52  2001/09/19 08:46:46  qboosh
- ac25x patch for autoconf 2.5x
- changes %preun libs to %postun libs
- release 5

Revision 1.51  2001/08/23 20:35:16  kloczek
- new Source url.

Revision 1.50  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.49  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.47  2001/06/06 19:02:54  kloczek
- release 4,
- fixed permission on some files/directories,
- change shell for amanda user to /bin/sh,
- added %triggerpostun -- amanda-libs < 2.4.2p2-3 script with fix amanda
  user shell,
- fixed crontab entries.

Revision 1.46  2001/06/01 14:14:36  kloczek
- release 3,
- added build_tapetype patch for build and install tapetype (tool for
  generate tape description for unknown tape types),
- regenerate libtool files and added no_private_libtool.m4 patch with
  remove private copy libtool.m4 from acinclude.m4.

Revision 1.45  2001/04/18 10:23:03  kloczek
- update to 2.4.2p2,
- merge bug18322 patch from rawhide,
- rebuild against readline 4.2.

Revision 1.44  2001/01/19 13:22:41  kloczek
- added gnuplot to BuildRequires.

Revision 1.43  2001/01/19 06:13:25  kloczek
- updated to 2.4.2,
- updated %files list, removed obsoleted patches,
- added am_fixes patch which removes all silly things from automake,
- spec adapterized.

Revision 1.42  2000/12/09 17:55:13  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.41  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.40  2000/08/23 22:17:24  kloczek
- release 18,
- merged rawhide patches (glibc21, glibc22),
- added no_libnsl patch with diasble lookup for libnsl (now amanda binaries
  are not linked with libnsl),
- changed permission to 4754/root.amanda on amcheck nad rundump.

Revision 1.39  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.38  2000/07/31 12:17:43  kloczek
- release 10.

Revision 1.37  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.36  2000/07/30 08:57:08  kloczek
- spec adapterized.

Revision 1.35  2000/07/13 23:04:49  baggins
- release 9
- rebuild with ncurses 5.1

Revision 1.34  2000/07/13 20:35:55  baggins
- release 8

Revision 1.33  2000/06/19 19:06:20  siefca
- fixed funny translation 'wilku hostw' into 'kilku hostw' (grrrr)

Revision 1.32  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.31  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.30  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.29  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.28  2000/04/10 03:42:35  kloczek
- release 6.

Revision 1.27  2000/04/08 17:31:21  bonkey
- typo in userdel

Revision 1.26  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.24  2000/03/23 12:32:52  kloczek
- release 5,
- rebuild agains readline 4.1.

Revision 1.23  2000/02/18 08:11:42  kloczek
- release 4,
- "Requires: %{name}-libs = %{version}" in server and cliet changed to
  "Prereq: %{name}-libs = %{version}" because libs subpackage creates
  amanda accout and this accout must exist before installing client or
  server.

Revision 1.22  1999/12/02 16:45:03  elephant
- More descriptive polish description.

Revision 1.21  1999/11/29 20:34:16  kloczek
- release 3,
- fix instaling with using DESTDIR in amplot.

Revision 1.20  1999/11/25 06:59:06  kloczek
- release 2,
- build against ncurses 5.0,
- changed permission on some binaries to 4754 root.amanda (this is
  neccessary for correct working amanda on server and clieent side).

Revision 1.19  1999/10/17 23:34:34  kloczek
- removed amanda subpackage and added amanda-libs with core amand
  shared libraries,
- beter sepation between server and client.

Revision 1.18  1999/10/15 04:48:26  kloczek
- added Source5 with sample config file,
- corected path to amidxtaped.

Revision 1.17  1999/10/15 04:12:26  kloczek
- %attr(660,amanda,amanda) for %{_localstatedir}/state/amanda.
